<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>My Book List</title>
  </head>
  <body>

    <h1>My Book List</h1>
    <div id="books_list">Click to generate my book list</div>

    <script> 
        var isClick = false;
    var books = [
      		{
       			title: 'Sapiens: A Brief History of Humankind',
        			url:"https://www.goodreads.com/book/show/23692271-sapiens",
        			author: 'Yuval Noah Harari' 
      		}, {
        			title: 'The Glass Castle',
        			url:"https://www.goodreads.com/book/show/7445.The_Glass_Castle",
       			 author: 'Jeannette Walls'
      		}
   	 ]
      var clickTxt = document.getElementById("books_list");
      var newDiv = document.createElement('div');
      
      var onBookClick = function(e) {
        if (isClick == false){
              for (var i = 0;i<books.length;i++){
                var myArticle = document.createElement('div');
                  var myA = document.createElement('a');
                  myA.setAttribute('href',books[i].url);
                  console.log("iiyujy");
                  myA.textContent = books[i].title;
                  
                
                  myArticle.innerHTML = (i+1) + ". ";
                  myArticle.appendChild(myA);
                  myArticle.innerHTML += " by " + books[i].author;
                  newDiv.appendChild(myArticle);

              
              }
              console.log(isClick)
              isClick = true;
            }
      }
      
      
      clickTxt.addEventListener("click", onBookClick);
      document.body.appendChild(newDiv);
      
    </script>
  </body>
</html>
